{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID_CR"; 
            externalType = NUMBER; 
            name = orgIdCr; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "VEC_MONTANT_BUD_CONSOMME"; 
            externalType = NUMBER; 
            name = vecMontantBudConsomme; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "VEC_MONTANT_BUD_DISPONIBLE"; 
            externalType = NUMBER; 
            name = vecMontantBudDisponible; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "VEC_MONTANT_BUD_DISPO_REEL"; 
            externalType = NUMBER; 
            name = vecMontantBudDispoReel; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "VEC_MONTANT_BUD_INITIAL"; 
            externalType = NUMBER; 
            name = vecMontantBudInitial; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "VEC_MONTANT_HT"; 
            externalType = NUMBER; 
            name = vecMontantHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "VEC_MONTANT_TTC"; 
            externalType = NUMBER; 
            name = vecMontantTTC; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, orgIdCr, tcdOrdre); 
    className = "org.cocktail.kaki.server.metier.EOVExtourneCreditsCr"; 
    classProperties = (
        exercice, 
        toOrganCr, 
        toTypeCredit, 
        vecMontantBudConsomme, 
        vecMontantBudDisponible, 
        vecMontantBudDispoReel, 
        vecMontantBudInitial, 
        vecMontantHt, 
        vecMontantTTC
    ); 
    externalName = "JEFY_DEPENSE.V_EXTOURNE_CREDITS_CR"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exercice, 
            toOrganCr, 
            toTypeCredit, 
            vecMontantBudConsomme, 
            vecMontantBudDisponible, 
            vecMontantBudDispoReel, 
            vecMontantBudInitial, 
            vecMontantHt, 
            vecMontantTTC
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOVExtourneCreditsCr"; 
    }; 
    name = VExtourneCreditsCr; 
    primaryKeyAttributes = (exeOrdre, orgIdCr, tcdOrdre); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = "ca_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgIdCr; }); 
            name = toOrganCr; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = toTypeCredit; 
        }
    ); 
}
